## org.jgroups.util
Class MyReceiver

    java.lang.Object
      org.jgroups.ReceiverAdapter
          org.jgroups.util.MyReceiver

All Implemented Interfaces:
  MembershipListener, MessageListener, Receiver

    public class MyReceiver

extends ReceiverAdapter

Simple receiver which buffers all messages

Author:
  Bela Ban

Field Summary
`protected java.util.Collection<Message>` `msgs`
`protected java.lang.String` `name`

Constructor Summary
`MyReceiver(java.lang.String name)`

Method Summary
`void` `clear()`
`java.util.Collection<Message>` `getMsgs()`
`void` `receive(Message msg)` Called when a message is received.
`void` `viewAccepted(View new_view)` Called when a change in membership has occurred.

Methods inherited from class org.jgroups.ReceiverAdapter
`block, getState, setState, suspect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### msgs

    protected final java.util.Collection<Message> msgs

### name

    protected final java.lang.String name

Constructor Detail

### MyReceiver

    public MyReceiver(java.lang.String name)

Method Detail

### getMsgs

    public java.util.Collection<Message> getMsgs()

### clear

    public void clear()

### receive

    public void receive(Message msg)

  Description copied from interface: `MessageListener`
  Called when a message is received.

  Specified by:
    `receive` in interface `MessageListener`
  Overrides:
    `receive` in class `ReceiverAdapter`

### viewAccepted

    public void viewAccepted(View new_view)

  Description copied from interface: `MembershipListener`
  Called when a change in membership has occurred. No long running actions or sending of messages should be done in this callback. If some long running action needs to be performed, it should be done in a separate thread.

  Note that on reception of the first view (a new member just joined), the channel will not yet be in the connected state. This only happens when `Channel.connect(String)` returns.

  Specified by:
    `viewAccepted` in interface `MembershipListener`
  Overrides:
    `viewAccepted` in class `ReceiverAdapter`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.